Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007878opensim[REGION] OpenSim Corepublic2016-04-15 03:412016-05-17 04:18
Reporterdanbanner 
Assigned Tomelanie 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOpenSim devOSanyOS Versionany
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007878: Creating landmarks on HyperGrid fails
DescriptionCreating landmarks over HG does not work at all
Steps To ReproduceHG teleport to any simulator running 0.9 code and try to make a landmark
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineODE, BulletSim
EnvironmentUnknown, Mono / Linux32, Mono / Linux64, Mono / Windows, Mono / OSX
Mono Version3.2
Viewerany
Attached Files

- Relationships
related to 0007766resolvedDiva Making Hypergrid Landmarks, and buying objects from Kitely to 0.9 code does not work 

-  Notes
(0030191)
danbanner (manager)
2016-04-15 03:43

This pretty much ruins a big part of hypergrid functionality
(0030302)
JeffKelley (reporter)
2016-05-12 18:10

The issue only arises if you come from a 0.9 grid.

Starting from a 0.8.2 stand-alone, I could successfully create landmarks at SandBox Plaza, OpenVue, Sancturay, all running 0.9

Starting from a 0.9 grid, none of the above was possible.
(0030303)
JeffKelley (reporter)
2016-05-12 18:28

The above comment is misleading, hovewer it gives a clue.

I was able to create a landmark when coming from a 0.8.2 stand-alone because this very stand-alone if configured with HGInventoryService = XInventoryService (no suitcase).

Starting from 'regular' HG grid (+suitcase), LMs can never be created. Here are two samples from the ROBUST console for a 0.8.2 and a 0.9 grid:

03:20:01 - [HG SUITCASE INVENTORY SERVICE]: GetFolder: folder Landmarks/b842f460-4994-4a76-9f4d-49c1814ac008 (user 861ee6df-888e-4348-b794-4b92687e4721) is not within Suitcase tree

01:09:03 - [HG SUITCASE INVENTORY SERVICE]: GetFolder: folder Landmarks/b842f460-4994-4a76-9f4d-49c1814ac008 (user 861ee6df-888e-4348-b794-4b92687e4721) is not within Suitcase tree
(0030321)
JeffKelley (reporter)
2016-05-16 11:20

Additional information :

mysql> SELECT * FROM inventoryfolders WHERE folderID='b842f460-4994-4a76-9f4d-49c1814ac008';
+------------+------+---------+--------------------------------------+--------------------------------------+--------------------------------------+
| folderName | type | version | folderID | agentID | parentFolderID |
+------------+------+---------+--------------------------------------+--------------------------------------+--------------------------------------+
| Landmarks | 3 | 9 | b842f460-4994-4a76-9f4d-49c1814ac008 | 861ee6df-888e-4348-b794-4b92687e4721 | 8b97fffb-8900-4994-912f-21adcd4c42f1 |
+------------+------+---------+--------------------------------------+--------------------------------------+--------------------------------------+

mysql> SELECT * FROM inventoryfolders WHERE folderID='8b97fffb-8900-4994-912f-21adcd4c42f1';
+--------------+------+---------+--------------------------------------+--------------------------------------+--------------------------------------+
| folderName | type | version | folderID | agentID | parentFolderID |
+--------------+------+---------+--------------------------------------+--------------------------------------+--------------------------------------+
| My Inventory | 9 | 70 | 8b97fffb-8900-4994-912f-21adcd4c42f1 | 861ee6df-888e-4348-b794-4b92687e4721 | 00000000-0000-0000-0000-000000000000 |
+--------------+------+---------+--------------------------------------+--------------------------------------+--------------------------------------+

The simulator tries to create a LM inside 'My Inventory/Landmarks' instead of 'My Suitcase/Landmarks'
(0030322)
aiaustin (developer)
2016-05-16 11:38
edited on: 2016-05-16 12:13

I think there seem to be a lot of issues with My Suitcase in recent 0.9.0 setups... with items taken on foreign grids while HGing appearing in the main inventory folders... old style.. rather than their My Suitcase equivalents. Possibly, with new avatars, the My Suitcase folder may not be being created at all?

But its difficult to pin down if that is because of mixed 0.8.x and 0.9.0 setups. I will tr y to be more systematc in spotting the situations under which issues arise and report if this is not fixed soon. Could this be another side effect of the code merge again?

(0030323)
JeffKelley (reporter)
2016-05-16 11:44

It happens also in a 0.9 - 0.9 setup. The common factor is the target grid (the one you are while landmarking) is 0.9.

Could it be a side-effect of folder types renumbering ?
(0030324)
Mandarinka Tasty (reporter)
2016-05-16 14:51

Hello :)

I onyl want to remind, that since version 0.8.2.0, there have been changed inventory numbers concerning:

Root Folder = My Inventory

My Suitcase Folder

and User - Created Folder

New numbers are:

Root folder: 8

My Suitcase folder: 100

User-created folder: -1

Mostly migration works, but in case, if not, then it is suggested to change numbers to correct ones, manually in database:

I.
select * from inventoryfolders where type = 8 and parentFolderID != "00000000-0000-0000-0000-000000000000" \G,

if this query is not empty, then:

update inventoryfolders set type = -1 where type = 8 and parentFolderID != "00000000-0000-0000-0000-000000000000";

II.
select * from inventoryfolders where type = 9 and parentFolderID = "00000000-0000-0000-0000-000000000000" \G,

if this query is not empty, then:

update inventoryfolders set type = 8 where type = 9 and parentFolderID = "00000000-0000-0000-0000-000000000000";

III.
select * from inventoryfolders where type = 9 and parentFolderID != "00000000-0000-0000-0000-000000000000" \G,

if this query is not empty, then:

update inventoryfolders set type = -1 where type = 9 and parentFolderID != "00000000-0000-0000-0000-000000000000";

IV.
select * from inventoryfolders where folderName = "My Suitcase" and type != 100

if this query is not empty, then:

update inventoryfolders set type = 100 where folderName = "My Suitcase";

Inappropriate numbers of those folders can make problem with Landmarks.

Certainly, that doesn't only depend on home grid, but also on foreign grid.
(0030325)
JeffKelley (reporter)
2016-05-16 15:17

I have re-run the two tests above after changing 'My Inventory' type from 9 to 8 in both starting grids (one running 0.8.2, the other 0.9).

Teleporting to Sandbox Plaza (0.9).
Creating a LM fails in both cases.
Same messages in ROBUST console.
(0030328)
Diva (administrator)
2016-05-16 19:38

[19:37] <cia-opensim> opensim: diva * r9e21647011ee OpenSim/Region (2 files in 2 dirs):
[19:37] <cia-opensim> Mantis 0007878 -- Landmarks were not being created in HGSuitcaseInventory
[19:37] <cia-opensim> http://opensimulator.org/viewgit/?a=commit&p=opensim&h=9e21647011ee733cc244ea948e5beabba13e4cd3 [^]

Please test and let me know
(0030329)
danbanner (manager)
2016-05-16 20:11

Creating the landmark worked. Thanks very much Diva!
(0030330)
JeffKelley (reporter)
2016-05-16 23:43

Upgraded to 057d1b2

0.9 avatar (1e44aba) goes to test region -> success.
0.8.2.1 avatar goes to test region -> success.

Seems fixed. Thanks Diva.

- Issue History
Date Modified Username Field Change
2016-04-15 03:41 danbanner New Issue
2016-04-15 03:42 danbanner Relationship added related to 0007766
2016-04-15 03:43 danbanner Note Added: 0030191
2016-05-12 18:10 JeffKelley Note Added: 0030302
2016-05-12 18:10 JeffKelley Status new => confirmed
2016-05-12 18:28 JeffKelley Note Added: 0030303
2016-05-16 11:20 JeffKelley Note Added: 0030321
2016-05-16 11:38 aiaustin Note Added: 0030322
2016-05-16 11:40 aiaustin Note Edited: 0030322 View Revisions
2016-05-16 11:44 JeffKelley Note Added: 0030323
2016-05-16 12:13 aiaustin Note Edited: 0030322 View Revisions
2016-05-16 14:51 Mandarinka Tasty Note Added: 0030324
2016-05-16 15:17 JeffKelley Note Added: 0030325
2016-05-16 19:38 Diva Note Added: 0030328
2016-05-16 20:11 danbanner Note Added: 0030329
2016-05-16 23:43 JeffKelley Note Added: 0030330
2016-05-17 04:18 melanie Status confirmed => resolved
2016-05-17 04:18 melanie Resolution open => fixed
2016-05-17 04:18 melanie Assigned To => melanie


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker